%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           papyon
Version:        0.5.5
Release:        2%{?dist}
Summary:        Python libraries for MSN Messenger network

Group:          Development/Languages
License:        GPLv2+
URL:            http://telepathy.freedesktop.org/wiki/Papyon
Source0:        http://telepathy.freedesktop.org/releases/%{name}/%{name}-%{version}.tar.gz
Patch0:		0001-bugfix-use-the-right-server-for-AB-and-Sharing-servi.patch

BuildArch:      noarch

BuildRequires:	pyOpenSSL
BuildRequires:  python-devel
BuildRequires:	pygobject2
BuildRequires:	python-crypto
BuildRequires:	farsight2-python
BuildRequires:	gstreamer-python-devel

Requires:	pyOpenSSL
Requires:	pygobject2
Requires:	python-crypto
Requires:	farsight2-python
Requires:	gstreamer-python

Provides:	pymsn = 0.3.4-1
Obsoletes:	pymsn < 0.3.4


%description
%{name} is the library behind the msn connection manager for telepathy.
%{name} uses the glib mainloop to process the network events in an
asynchronous manner


%prep
%setup -q
%{__sed} -i 's|\#!/usr/bin/env python||' papyon/msnp2p/test.py
%patch0 -p1 -b .servers


%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
# Remove the tests, since they conflict with some other packages.
#rm -Rf $RPM_BUILD_ROOT%{_libdir}/python2.7/site-packages/tests/*
#rmdir $RPM_BUILD_ROOT%{_libdir}/python2.7/site-packages/tests

%files
%defattr(-,root,root,-)
%doc COPYING NEWS AUTHORS
%{python_sitelib}/*


%changelog
* Wed Nov  9 2011 Brian Pepple <bpepple@fedoraproject.org> - 0.5.5-2
- Add patch to use correct server. (#750884)

* Tue Apr 19 2011 Brian Pepple <bpepple@fedoraproject.org> - 0.5.5-1
- Update to 0.5.5.

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jan 28 2011 Brian Pepple <bpepple@fedoraproject.org> - 0.5.4-3
- Acutally remove the tests.

* Fri Jan 28 2011 Brian Pepple <bpepple@fedoraproject.org> - 0.5.4-2
- Don't package tests, since they conflict with other packages. (#673516)

* Thu Jan 27 2011 Brian Pepple <bpepple@fedoraproject.org> - 0.5.4-1
- Update to 0.5.4.

* Thu Jan 27 2011 Brian Pepple <bdpepple@gmail.com> - 0.5.3-2
- Rebuild for new farsight2
- Drop clean section and buildroot.

* Fri Dec  3 2010 Brian Pepple <bpepple@fedoraproject.org> - 0.5.3-1
- Update to 0.5.3.

* Thu Oct 21 2010 Brian Pepple <bpepple@fedoraproject.org> - 0.5.2-1
- Update to 0.5.2. (#645554)

* Fri Sep 17 2010 Brian Pepple <bpepple@fedoraproject.org> - 0.5.1-1
- Update to 0.5.1.

* Mon Aug 16 2010 Brian Pepple <bpepple@fedoraproject.org> - 0.5.0-1
- Update to 0.5.0.
- Add BR on farsight2-python & gst-python.

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 0.4.9-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Fri Jul  9 2010 Brian Pepple <bpepple@fedoraproject.org> - 0.4.9-1
- Update to 0.4.9.

* Thu May 27 2010 Brian Pepple <bpepple@fedoraproject.org> - 0.4.8-1
- Update to 0.4.8.

* Thu May 20 2010 Brian Pepple <bpepple@fedoraproject.org> - 0.4.7-1
- Update to 0.4.7.
- Add BR & requires on python-crypto.

* Wed May 12 2010 Brian Pepple <bpepple@fedoraproject.org> - 0.4.6-2
- Drop patch to workaround invalid sha1d, since it was fubar'd.

* Sat May  8 2010 Brian Pepple <bpepple@fedoraproject.org> - 0.4.6-1
- Update to 0.4.6.
- Backport patch to work around invalid SHA1D attributes in msn objects. (#568923)

* Wed Mar 10 2010 Brian Pepple <bpepple@fedoraproject.org> - 0.4.5-1
- Update to 0.4.5.

* Tue Jan 19 2010 Brian Pepple <bpepple@fedoraproject.org> - 0.4.4-1
- Update to 0.4.4.
- Drop base64decode patch.  Fixed upstream.

* Tue Dec 29 2009 Brian Pepple <bpepple@fedoraproject.org> - 0.4.3-2
- Add patch to fix a crasher with TypeError in b64decode.

* Fri Oct  9 2009 Brian Pepple <bpepple@fedoraproject.org> - 0.4.3-1
- Update to 0.4.3.

* Tue Sep  8 2009 Brian Pepple <bpepple@fedoraproject.org> - 0.4.2-1
- Update to 0.4.2.
- Drop BR and Req on python-crypto.

* Fri Aug 14 2009 Brian Pepple <bpepple@fedoraproject.org> - 0.4.1-3
- Clean up some rpmlint error.

* Tue Aug  4 2009 Brian Pepple <bpepple@fedoraproject.org> - 0.4.1-2
- Update URL.

* Tue Jul 28 2009 Brian Pepple <bpepple@fedoraproject.org> - 0.4.1-1
- Update to 0.4.1.

* Sun Jul  5 2009 Brian Pepple <bpepple@fedoraproject.org> - 0.4.0-1
- Initial spec.
